EDIT - feature request #5807

Implement sub-distribution area inclusion in TaxonService.findTaxaAndNamesByFullText()
05/13/2016 04:15 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.44

Severity: critical

Description

for example: 'Campanula alliariifolia’ is not found when using the area Caucasia (Ab + Ar + Gg + Rf(CS)) (Cc) it is needed to add the
exact subarea to the filter: Georgia (Gg)

watch out when testing, there is a related bug in the data-portal: #4973 (fixed under review)

see also #5894

Related issues:
Related to EDIT - task #10222: Use DTOs for portal taxon page - first impleme... Closed

History

#1 - 06/01/2016 01:23 PM - Andreas Miuller

- Target version changed from Release 4.1 to Release 4.2

#2 - 06/21/2016 12:28 PM - Andreas Miiller
- Keywords changed from Caucasus, to Caucasus, Euro+Med,

- Subject changed from sub-distribution area inclustion in advanced search not working to sub-distribution area inclusion in advanced search not
working

#3 - 06/21/2016 05:26 PM - Andreas Kohlbecker

- Keywords changed from Caucasus, Euro+Med, to Caucasus, Euro+Med, search,
- Target version changed from Release 4.2 to Release 4.3

- Priority changed from Highest to Priority14

- Subject changed from sub-distribution area inclusion in advanced search not working to implement sub-distribution area inclusion in
TaxonService.findTaxaAndNamesByFullText()

This is actually not a bug, the search is implemented that way.

However, from the users perspective it seems more intuitive if the area filter would include the sub areas. but it might not be wanted behaviour in all
cases. Therefore it should be an optional feature.

#4 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#5 - 12/01/2016 02:04 PM - Andreas Miuller

- Target version changed from Release 4.4 to Release 4.5

#7 - 01/19/2017 01:24 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#8 - 03/10/2017 08:51 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#9 - 05/11/2017 10:22 AM - Andreas Mdller

- Target version changed from Release 4.7 to Release 4.8
#10 - 07/06/2017 10:15 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#11 - 07/21/2017 10:37 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#12 - 09/24/2017 01:41 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#13 - 11/08/2017 11:14 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#14 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#15 - 01/31/2018 12:14 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#16 - 02/15/2018 02:57 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#17 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#18 - 06/28/2018 12:14 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#19 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#20 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#21 - 10/23/2018 01:52 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#22 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#23 - 02/22/2019 04:10 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to Feedback

trying to reproduce this at the euro+med portal, since this taxon no longer is found in the caucasus portal:
http://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/taxon/3c4201ea-1a49-413a-8116-5265bbc21e22
search does not work since the index is not up to date.

reindexing via the drupal admin ...

#24 - 02/22/2019 04:34 PM - Andreas Kohlbecker

- Private changed from Yes to No

#25 - 02/22/2019 04:45 PM - Andreas Kohlbecker
- Status changed from Feedback to New

- Target version changed from Release 5.6 to Reviewed Next Major Release
http://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/taxon/3c4201ea-1a49-413a-8116-5265bbc21e22

this is still not working:

http:/test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2F search&query=Campanula+alliar
iifolia&form_build_id=form-Jg3PyHrloUL8y8Q71]9CgcaNTORaNQtuir8jw2rAtZc&form_token=wliijadtmZQ6 PZP9XI2las8m3ZINbA3sbE3 K_A-gA&for
m_id=cdm_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5BpageNumber%5D=08&search%5Bareas%5D%5Bar
eas_filter%5D=&search%5Bareas%5D%5Barea%5D%5B0%5D %5B05b0dd06-30{8-477d-bf4c-30d9def56320%5D=05b0dd06-30f8-477d-bf4c-30d9d
ef56320&search%5Btree%5D=314a68f9-8449-495a-91c2-92fde8bcf344&search%5BdoTaxa%5D=1

#26 - 02/22/2019 05:47 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

As this is E+M related | put it to highest. We may discuss who will finally fix it. | have to work on transmission engine related issues anyway sooner or
later.

#28 - 01/30/2023 05:12 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Target version changed from Reviewed Next Major Release to Release 5.44
Check if this is still an open issue

#29 - 01/30/2023 05:13 PM - Andreas Miiller
- Related to task #10222: Use DTOs for portal taxon page - first implementation for E+M added

#32 - 02/14/2024 10:33 PM - Andreas Miiller

- Subject changed from implement sub-distribution area inclusion in TaxonService.findTaxaAndNamesByFullText() to Implement sub-distribution area
inclusion in TaxonService.findTaxaAndNamesByFullText()
